package com.framsticks.params;


import javax.annotation.concurrent.Immutable;

/**
 * @author Piotr Sniegowski
 */
@Immutable
public abstract class ValueParam extends Param {

	/**
	 * @param builder
	 */
	public ValueParam(ParamBuilder builder) {
		super(builder);
	}

	public ReassignResult<?> reassign(Object newValue, Object oldValue) throws CastFailure {
		throw new CastFailure();
	}

	public abstract <T> T getDef(Class<T> type);

}
