package com.framsticks.params.types;

import com.framsticks.params.Param;
import com.framsticks.params.ParamBuilder;

import javax.annotation.concurrent.Immutable;

/**
 * @author Piotr Sniegowski
 */
@Immutable
public class EventParam extends Param {



	/**
	 * @param builder
	 */
	public EventParam(ParamBuilder builder) {
		super(builder);
	}

	@Override
	public Class<?> getStorageType() {
		return Void.class;
	}

	@Override
	public String getFramsTypeName() {
		return "e";
	}
}
