package com.framsticks.parsers;

import org.testng.annotations.*;

import com.framsticks.params.Registry;
import com.framsticks.test.TestConfiguration;

import static org.fest.assertions.Assertions.*;

public class SchemaTest extends TestConfiguration {

	Schema schema;
	Registry registry;

	@Test
	public void loadSchema() {
		schema = new Schema(Schema.getDefaultDefinitionAsStream());
		registry = schema.getRegistry();
		// Package.register(schema.getRegistry());
		assertThat(registry.getInfoCache().size()).isEqualTo(5);
	}

}
